Groovy 1.7.10

## groovy.util
[Java] Class ClosureComparator

    java.lang.Object
      groovy.util.ClosureComparator

All Implemented Interfaces:
  Comparator

    public class ClosureComparator
    extends Object

A Comparator which uses a closure to compare 2 values being equal

Authors:
  James Strachan

Version:
  \$Revision: 16873 \$

Constructor Summary
`ClosureComparator(Closure closure)`

Method Summary
`int` | `compare(T object1, T object2)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClosureComparator

    public ClosureComparator(Closure closure)

Method Detail

### compare

    public int compare(T object1, T object2)

Copyright © 2003-2010 The Codehaus. All rights reserved.